# preCICE #

**Project Status**  
[![Build status](https://github.com/precice/precice/workflows/Build%20and%20Test/badge.svg)](https://github.com/precice/precice/actions?query=workflow%3A%22Build+and+Test%22+branch%3Adevelop)
[![Release](https://img.shields.io/github/release/precice/precice.svg)](https://github.com/precice/precice/releases/latest)
[![Cite](https://img.shields.io/badge/cite-literature_guide-d45815)](https://precice.org/fundamentals-literature-guide.html)
[![Software Heritage](https://archive.softwareheritage.org/badge/origin/https://github.com/precice/precice/)](https://archive.softwareheritage.org/browse/origin/?origin_url=https://github.com/precice/precice)

**Project Quality**  
[![xSDK Policy Compatibility](https://img.shields.io/badge/xSDK-member-brightgreen)](https://github.com/xsdk-project/xsdk-policy-compatibility/blob/master/precice-policy-compatibility.md)
[![CII Best Practices](https://bestpractices.coreinfrastructure.org/projects/3895/badge)](https://bestpractices.coreinfrastructure.org/projects/3895)
[![CodeFactor](https://www.codefactor.io/repository/github/precice/precice/badge)](https://www.codefactor.io/repository/github/precice/precice)
[![CodeQL](https://github.com/precice/precice/actions/workflows/codeql.yml/badge.svg)](https://github.com/precice/precice/actions/workflows/codeql.yml)
[![codecov](https://codecov.io/gh/precice/precice/branch/develop/graph/badge.svg?token=ixXCTXAZMU)](https://codecov.io/gh/precice/precice)
[![Coverity](https://scan.coverity.com/projects/19312/badge.svg)](https://scan.coverity.com/projects/precice-precice)

**Downstream Components**  
[![System tests (latest components)](https://github.com/precice/tutorials/actions/workflows/system-tests-latest-components.yml/badge.svg)](https://github.com/precice/tutorials/actions/workflows/system-tests-latest-components.yml)
[![preCICE distribution](https://img.shields.io/badge/preCICE_Distribution-10.18419%2Fdarus--4167-d45815.svg)](https://doi.org/10.18419/darus-4167)
[![preCICE website status](https://img.shields.io/website-up-down-green-red/https/precice.org.svg?label=website)](https://precice.org/)

**Community**  
[![Join the forum](https://img.shields.io/badge/discourse-news_and_forum-orange?link=https%3A%2F%2Fprecice.discourse.group%2F)](https://precice.discourse.group/)
[![Chat on Matrix](https://matrix.to/img/matrix-badge.svg)](https://matrix.to/#/#precice_lobby:gitter.im?web-instance[element.io]=app.gitter.im)
[![Mastodon](https://img.shields.io/badge/mastodon-%40preCICE-6364ff)](https://fosstodon.org/@precice)
[![Bluesky](https://img.shields.io/badge/bluesky-%40precice.org-0285ff)](https://bsky.app/profile/precice.org)
[![YouTube](https://img.shields.io/badge/youtube-%40preCICECoupling-ff0000)](https://www.youtube.com/c/preCICECoupling/)

preCICE stands for Precise Code Interaction Coupling Environment. Its main component is a library that can be used by simulation programs to be coupled together in a partitioned way, enabling multi-physics simulations, such as fluid-structure interaction.

If you are new to preCICE, please have a look at our [documentation](https://www.precice.org/docs.html) and at [precice.org](https://www.precice.org). You may also prefer to [get and install a binary package for the latest release](https://github.com/precice/precice/releases/latest) ([main branch](https://github.com/precice/precice/tree/main)).

<div align="center" style="margin-bottom:30px">
<img src="https://github.com/precice/precice.github.io/blob/master/material/overview/precice-overview.png" alt="preCICE overview" style="max-height: 100%; max-width: 100%">
</div>

preCICE is an academic project, developed at the [Technical University of Munich](https://www.cs.cit.tum.de/en/sccs/home/) and at the [University of Stuttgart](https://www.ipvs.uni-stuttgart.de). If you use preCICE, please [cite us](https://www.precice.org/fundamentals-literature-guide.html).
